id: mcafee-phish

info:
  name: mcafee phishing Detection
  author: rxerium
  severity: info
  description: |
    A mcafee phishing website was detected
  reference:
    - https://mcafee.com
  metadata:
    max-request: 1
  tags: phishing,mcafee,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Antivirus, VPN, Identity &amp; Privacy Protection | McAfee'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"mcafee.com")'
# digest: 4b0a00483046022100bfae193f0a1f74ca91f943e1760f6b10e379536216fb52cb5c480aeaa2a30f56022100c4f88d47842fe3ec167b4550625d01d472680e649f86e9ee521c85d959205c7a:922c64590222798bb761d5b6d8e72950